HostingVault

Update Vault domain settings

PUT/api/archive/domains/{domain_code}

Updates default Vault retention and default archive behavior for a domain.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

default_retention?integer

Default retention period in months.

Format int32
default_archive?boolean

Enable Vault by default for new email accounts on the domain.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/archive/domains/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}